<!-- @format -->

### Search & Replace for Elementor - Text, Links & Images

Contributors: krasenslavov, developry
Donate Link: https://krasenslavov.com/hire-krasen/
Tags: elementor, replace, elementor pro, search, addon
Requires at least: 5.0
Tested up to: 6.7
Requires PHP: 7.2
Stable tag: 1.4.8
License: GPLv3 or later
License URI: https://www.gnu.org/licenses/gpl-3.0.html

Quickly search and replace any text, links, or images in Elementor using Search & Replace for Elementor.

## DESCRIPTION

Quickly search and replace any text, links, or images in Elementor using [**Search & Replace for Elementor**](https://bit.ly/43jOSU8).

https://www.youtube.com/embed/FoWqNtUVklY

Elementor, one of the most popular visual editors, lacks a built-in search and replace feature.

With [**Search & Replace for Elementor**](https://bit.ly/43jOSU8), you can easily replace text, links, and images—no extra software needed!

## USAGE

Once you upload and activate the plugin:

1. Open any Elementor-created page and navigate to `Menu > Search & Replace` to access the plugin modal.
2. Use the options to highlight or perform case-sensitive search and replace.
3. Add special tags to highlight text using [**Search & Replace for Elementor**](https://bit.ly/43jOSU8). Use the `Clear` button to clean your code if needed.

Here are the general steps to use the plugin:

1. Open the plugin modal window.
2. Select whether to **highlight** terms or perform a **case-sensitive** search and replace.
3. Enter your search phrase and click the **Search** button.
4. Enter your replacement phrase.
5. Click the **Replace** button.
6. Use the **Undo** link to revert to the original text.
7. Click the **Clear** button to remove special highlight tags and clean your code anytime.

_NOTE: To maintain optimal plugin performance, a raw data limit of 300kb has been set._

## FEATURES & LIMITATIONS

[**Search & Replace for Elementor**](https://bit.ly/43jOSU8) is/does:

- A plugin for Elementor that lets you quickly search and replace text, links, or images in your posts and pages.
- Boosts your efficiency in Elementor by enabling faster editing, either page-by-page or in bulk.
- Designed to look native and works seamlessly with both Elementor Free and Pro versions.
- Allows updating multiple text terms, phrases, images, or links with highlighting and case-sensitivity directly in the visual editor.
- Ideal for heavy Elementor users seeking to speed up their editing process.

_NOTE: Bulk search and replace for links (URLs), images, case-sensitive filters, backups, and custom options are only available in the PRO version!_

## DETAILED DOCUMENTATION

Find step-by-step setup guides, usage instructions, demos, videos, and insights on the [**Search & Replace for Elementor Pro**](https://searchreplaceplugin.com/help) page.

## SEARCH AND REPLACE FOR ELEMENTOR PRO

If you're using the free version from WordPress.org and want Pro features, you can purchase the premium version on the [**Search & Replace for Elementor Pro**](https://bit.ly/43jOSU8) website.

Here are some features included in the Pro version:

- Bulk search and replace with a dry-run option.
- Bulk and individual page search and replace using regular expressions.
- Built-in backup and database import tools.
- Additional options to customize search and replace data fields.
- Custom options for raw page data and partial URL search & replace.
- Priority support and regular updates for one year.

## FREQUENTLY ASKED QUESTIONS

Visit the [**Support**](https://wordpress.org/support/plugin/wp-media-recovery/) page to share your questions or requests.

We usually respond to tickets within a few days.

Feature requests are added to our wish list and considered for future updates.

### Will This Plugin Work with the Free Elementor Version?

Yes, it works seamlessly with both Elementor Free and Pro versions.

### Does It Work with the Classic/Gutenberg Editors?

No, this plugin is designed specifically for Elementor and its custom data storage.

For Classic and Gutenberg editors, try our open-source [**Block Editor Search & Replace**](https://wordpress.org/plugins/block-editor-search-replace/) plugin.

### Do You Offer Additional Support or Customization?

Yes, contact us by submitting your request on the [**Search & Replace for Elementor Pro**](https://bit.ly/43jOSU8) website.

## SCREENSHOTS

Below are screenshots showing how to access and use the plugin in WordPress.

1. screenshot-1.(png)
2. screenshot-2.(png)
3. screenshot-3.(png)

## INSTALLATION

The plugin installation is easy and straightforward. Let us know if you run into any issues.

_Make sure Elementor Free or Pro is activated beforehand._

= Installation from WordPress =

1. Go to **Plugins > Add New**.
2. Search for **Search & Replace for Elementor**.
3. Install and activate the plugin.
4. Click **Settings** or go to **Elementor S/R** in the menu.

= Manual Installation =

1. Upload the `search-replace-for-elementor` folder to `/wp-content/plugins/`.
2. Go to **Plugins**.
3. Activate the **Search & Replace for Elementor** plugin.
4. Click **Settings** or navigate to **Elementor S/R** in the menu.

= After Activation =

1. You can now go to any page or post using Elementor and use the plugin as outlined in the documentation.

## CHANGELOG

= 1.4.8 =

- Update - Development env setup and CSS assets updates
- Update - Add plugins required for WP.or and select elementor

= 1.4.7 =

- Update - Revisit all plugin text and translators

= 1.4.6 =

- Update - Performance and optimization compatibility

= 1.4.5 =

- New - Be able to search and replace WordPress shortcodes e.g. `[shortcode attr="value" attr2="value"]`, both RegExp and Text-only mode
- New - Enable highlighting for links (URLs) and images
- Update - Style the top bar icon for Editor Top Bar
- Fix - `update_postmeta` to clear Elementor and WP cache in order to see results on the front end

**Check out the complete changelog on our [**Search & Replace for Elementor**](https://bit.ly/43jOSU8) website.**

## UPGRADE NOTICE

Upgrade to [**Search & Replace for Elementor Pro**](https://bit.ly/43jOSU8) for advanced features, bulk search and replace, and priority support!
