<?php
/**
 * [Short Description]
 *
 * @package    DEVRY\ELEMSNR
 * @copyright  Copyright (c) 2024, Developry Ltd.
 * @license    https://www.gnu.org/licenses/gpl-3.0.html GNU Public License
 * @since      1.3
 */

namespace DEVRY\ELEMSNR;

! defined( ABSPATH ) || exit; // Exit if accessed directly.

?>
<div class="elemsnr-admin">
	<div class="elemsnr-container">
		<div class="elemsnr-pro">
			<h4>
				<?php echo esc_html__( 'Get the PRO version today!', 'search-replace-for-elementor' ); ?>
			</h4>

			<p>
				<?php echo esc_html__( 'The PRO version will unlock more features, better performance, and a faster search & replace process in bulk.', 'search-replace-for-elementor' ); ?>
			</p>

			<table>
				<tr>
					<th><?php echo esc_html__( 'Feature', 'search-replace-for-elementor' ); ?></th>
					<th><?php echo esc_html__( 'Free', 'search-replace-for-elementor' ); ?></th>
					<th><?php echo esc_html__( 'PRO', 'search-replace-for-elementor' ); ?></th>
				</tr>
				<tr>
					<td><?php echo esc_html__( 'Elementor editor toolbar support', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'yes', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'yes', 'search-replace-for-elementor' ); ?></td>
				</tr>
				<tr>
					<td><?php echo esc_html__( 'Raw data size limit', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( '300kb', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( '10,240kb', 'search-replace-for-elementor' ); ?></td>
				</tr>
				<tr>
					<td><?php echo esc_html__( 'Page-by-page search and replace', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'yes', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'yes', 'search-replace-for-elementor' ); ?></td>
				</tr>
				<tr>
					<td><?php echo esc_html__( 'Bulk/Mass search and replace', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'no', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'yes', 'search-replace-for-elementor' ); ?></td>
				</tr>
				<tr>
					<td><?php echo esc_html__( 'Third-party add-ons support', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'no', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'yes', 'search-replace-for-elementor' ); ?></td>
				</tr>
				<tr>
					<td><?php echo esc_html__( 'Backup your uploads folder', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'no', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'yes', 'search-replace-for-elementor' ); ?></td>
				</tr>
				<tr>
					<td><?php echo esc_html__( 'Search by field keys or widgets', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'no', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'yes', 'search-replace-for-elementor' ); ?></td>
				</tr>
				<tr>
					<td><?php echo esc_html__( 'Unfiltered/Partial URLs', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'no', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'yes', 'search-replace-for-elementor' ); ?></td>
				</tr>
				<tr>
					<td><?php echo esc_html__( 'Database backup and import', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'no', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'yes', 'search-replace-for-elementor' ); ?></td>
				</tr>
				<tr>
					<td><?php echo esc_html__( 'HTML RegEx requests', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( '10 per hour	', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'unlimited', 'search-replace-for-elementor' ); ?></td>
				</tr>
				<tr>
					<td><?php echo esc_html__( 'Priority email support', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'no', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'yes', 'search-replace-for-elementor' ); ?></td>
				</tr>
				<tr>
					<td><?php echo esc_html__( 'Regular plugin updates', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'delayed', 'search-replace-for-elementor' ); ?></td>
					<td><?php echo esc_html__( 'priority', 'search-replace-for-elementor' ); ?></td>
				</tr>
			</table>

			<p class="button-group">
				<a
					class="button button-primary button-pro"
					href="https://bit.ly/3vhfGaI"
					target="_blank"
				>
					<?php echo esc_html__( 'GET PRO VERSION', 'search-replace-for-elementor' ); ?>
				</a>
				<a
					class="button button-primary button-watch-video"
					href="https://www.youtube.com/watch?v=I6duntBqhDA"
					target="_blank"
				>
					<?php echo esc_html__( 'Watch Video', 'search-replace-for-elementor' ); ?>
				</a>
			</p>
		</div>

		<div>
			<h2>
				<?php esc_html_e( 'Search & Replace for Elementor', 'search-replace-for-elementor' ); ?>
			</h2>

			<p>
				<?php esc_html_e( 'Quickly search and replace any text, links, or images in Elementor using Search & Replace for Elementor.', 'search-replace-for-elementor' ); ?>
			</p>

			<p>
				<?php
				printf(
					/* translators: %1$s is replaced with "Need to perform bulk or mass search and replace?" */
					/* translators: %2$s is replaced with "Get the PRO version now" */
					wp_kses( '%1$s %2$s!', 'search-replace-for-elementor', json_decode( ELEMSNR_PLUGIN_ALLOWED_HTML_ARR, true ) ),
					'<em>' . esc_html__( 'Need to perform bulk or mass search and replace?', 'search-replace-for-elementor' ) . '</em>',
					'<a href="https://bit.ly/3vhfGaI" target="_blank"><strong>' . esc_html__( 'Get the PRO version now', 'search-replace-for-elementor' ) . '</strong></a>'
				);
				?>
			</p>

			<p>
				<iframe 
					height="540" 
					src="https://www.youtube.com/embed/FoWqNtUVklY" 
					title="Search & Replace for Elementor" 
					frameborder="0" 
					allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" 
					allowfullscreen>
				</iframe>
			</p>

			<p>
				<?php
				printf(
					/* translators: %1$s is replaced with "Note" */
					wp_kses( '%1$s: Bulk search and replace for links (URLs), images, case-sensitive filters, backups, and custom options are available only in the PRO version!', 'search-replace-for-elementor', json_decode( ELEMSNR_PLUGIN_ALLOWED_HTML_ARR, true ) ),
					'<strong>' . esc_html__( 'Note', 'search-replace-for-elementor' ) . '</strong>'
				);
				?>
			</p>

			<div class="feature-screenshots">
				<div>
					<img src="<?php echo esc_url( ELEMSNR_PLUGIN_IMG_URL ); ?>feature-highlight.png" alt="Highlight feature" />
				</div>
				<div>
					<img src="<?php echo esc_url( ELEMSNR_PLUGIN_IMG_URL ); ?>feature-native.png" alt="Native search and replace feature" />
				</div>
			</div>

			<hr />

			<form method="post" action="<?php echo esc_url( admin_url( 'options.php' ) ); ?>">
				<?php settings_errors( 'elemsnr_settings_errors' ); ?>
				<?php wp_nonce_field( 'elemsnr_settings_nonce', 'elemsnr_wpnonce' ); ?>
				<?php
					settings_fields( ELEMSNR_SETTINGS_SLUG );
					do_settings_sections( ELEMSNR_SETTINGS_SLUG );
				?>
				<p class="submit button-group">
					<button
						type="submit"
						class="button button-primary"
						id="elemsnr-save-settings"
						name="elemsnr-save-settings"
					>
						<?php echo esc_html__( 'Save', 'search-replace-for-elementor' ); ?>
					</button>
				</p>
			</form>

			<br clear="all" />

			<hr />

			<div class="elemsnr-support-credits">
				<p>
					<?php
					printf(
						wp_kses(
							/* translators: %1$s is replaced with "Support Forum" */
							__( 'If something isn\'t clear, please open a ticket on the official plugin %1$s. We aim to address all tickets within a few working days.', 'search-replace-for-elementor' ),
							json_decode( ELEMSNR_PLUGIN_ALLOWED_HTML_ARR, true )
						),
						'<a href="' . esc_url( ELEMSNR_PLUGIN_WPORG_SUPPORT ) . '" target="_blank">' . esc_html__( 'Support Forum', 'search-replace-for-elementor' ) . '</a>'
					);
					?>
				</p>
				<p>
					<strong><?php echo esc_html__( 'Please rate us', 'search-replace-for-elementor' ); ?></strong>
					<a href="<?php echo esc_url( ELEMSNR_PLUGIN_WPORG_RATE ); ?>" target="_blank">
						<img src="<?php echo esc_url( ELEMSNR_PLUGIN_DIR_URL ); ?>assets/dist/img/rate.png" alt="Rate us @ WordPress.org" />
					</a>
				</p>
				<p>
					<strong><?php echo esc_html__( 'Having issues?', 'search-replace-for-elementor' ); ?></strong> 
					<a href="<?php echo esc_url( ELEMSNR_PLUGIN_WPORG_SUPPORT ); ?>" target="_blank">
						<?php echo esc_html__( 'Create a Support Ticket', 'search-replace-for-elementor' ); ?>
					</a>
				</p>
				<p>
					<strong><?php echo esc_html__( 'Developed by', 'search-replace-for-elementor' ); ?></strong>
					<a href="https://krasenslavov.com/" target="_blank">
						<?php echo esc_html__( 'Krasen Slavov @ Developry', 'search-replace-for-elementor' ); ?>
					</a>
				</p>
			</div>

			<hr />

			<p>
				<small>
					<?php
					printf(
						wp_kses(
							/* translators: %1$s is replaced with "help and support me on Patreon" */
							__( '* For the price of a cup of coffee per month, you can %1$s to support the development and maintenance of my free WordPress plugins. Every bit helps and is greatly appreciated!', 'search-replace-for-elementor' ),
							json_decode( ELEMSNR_PLUGIN_ALLOWED_HTML_ARR, true )
						),
						'<a href="https://patreon.com/krasenslavov" target="_blank">' . esc_html__( 'help and support me on Patreon', 'search-replace-for-elementor' ) . '</a>'
					);
					?>
				</small>
			</p>
		</div>
	</div>
</div>
